/* --- Date Flatpickr --- */
.flatpickr-day.selected,
.flatpickr-day.startRange,
.flatpickr-day.endRange,
.flatpickr-day.selected.inRange,
.flatpickr-day.startRange.inRange,
.flatpickr-day.endRange.inRange,
.flatpickr-day.selected:focus,
.flatpickr-day.startRange:focus,
.flatpickr-day.endRange:focus,
.flatpickr-day.selected:hover,
.flatpickr-day.startRange:hover,
.flatpickr-day.endRange:hover,
.flatpickr-day.selected.prevMonthDay,
.flatpickr-day.startRange.prevMonthDay,
.flatpickr-day.endRange.prevMonthDay,
.flatpickr-day.selected.nextMonthDay,
.flatpickr-day.startRange.nextMonthDay,
.flatpickr-day.endRange.nextMonthDay {
    background: var(--theme-color) !important;
    -webkit-box-shadow: none;
    box-shadow: none;
    color: #fff;
    border-color: var(--theme-color) !important;
}

.flatpickr-calendar {
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    border: 1px solid rgba(0, 0, 0, 0.15);
    border-radius: 5px;
    margin-top: 15px;
}

.flatpickr-calendar:before,
.flatpickr-calendar:after {
    content: "";
    position: absolute;
    top: -20px;
    left: 8%;
    transform: translate(-50%, 0);
    border-width: 10px;
    border-style: solid;
    border-color: transparent transparent #fff transparent;
}

.flatpickr-calendar:after {
    top: -18px;
    left: 7.7%;
}

/* Mobile Size M [ Flatpickr ] */
@media screen and (max-width: 375px) {
    .modal-datepicker .flatpickr-calendar {
        font-size: 12px !important;
    }

    .modal-datepicker .flatpickr-day {
        max-width: 50px !important;
        height: 50px !important;
        line-height: 50px !important;
    }
}

/* Mobile Size S [ Flatpickr ] */
@media screen and (max-width: 320px) {
    .modal-datepicker .flatpickr-calendar {
        font-size: 12px !important;
    }

    .modal-datepicker .flatpickr-day {
        max-width: 45px !important;
        height: 45px !important;
        line-height: 45px !important;
    }
}